\chapter{Notes for authors -- necessary changes in \LaTeX}
\label{chap:Notes}





\section{Spacing for consecutive headlines}
\label{sec:Spacing for consecutive headlines}
If two headlines are directly below each other, the author may have to manually adjust the vertical spacing between the headlines with the command ``vspace''. For the sequence of headings, please refer to the vertical spacing as follows:

\begin{itemize}
\item \justifying No adjustment has to be made between ``chapter'' and ``section''. (Target distance: 13~mm, measured from the baseline of the heading ``chapter'' to the H-line of the heading ``section'') 

\item \raggedright Between ``section'' and ``subsection'' please insert an additional vertical distance of 2~mm with the command ``vspace''.
% \begin{Verbatim}
% \section{Headline level section}
% \vspace{2mm}
% \subsection{Headline level subsection}
% \end{Verbatim}

\fbox{\parbox{0.905\textwidth}{
\texttt{%
\textbackslash section\{Headline level section\}
\textcolor{red}{\textbackslash vspace\{2mm\}}\newline
\textbackslash subsection\{Headline level subsection\}
}}}

(Target distance: 10~mm, measured from the baseline of the heading ``section'' to the H-line of the heading ``subsection'')

\item \raggedright Between ``subsection'' and ``subsubsection'' please insert an additional vertical space of 3~mm with the command ``vspace''.
% \begin{Verbatim}
% \subsection{Headline level subsection}
% \vspace{3mm}
% \subsubsection{Headline level subsubsection}
% \end{Verbatim}

\fbox{\parbox{0.905\textwidth}{%
\texttt{%
\textbackslash subsection\{Headline level subsection\}
\textcolor{red}{\textbackslash vspace\{3mm\}}\newline
\textbackslash subsubsection\{Headline level subsubsection\}
}}}

(Target distance: 10~mm, measured from the baseline of the heading ``subsection'' to the H-line of the heading ``subsubsection'')
\end{itemize}

You can see the result with the corresponding vertical distances between the headlines in Chapter \ref{chap:HeadlinesLevel} (``\nameref{chap:HeadlinesLevel}'') on page \pageref{chap:HeadlinesLevel} in this PDF file.





\section{Breaks in headings}
\label{sec:Breaks in headings}
If long headings are to be shortened for the table of contents, the optional parameter of the respective command for headings offers the option of specifying a shorter heading. The following example shows the heading for the table of contents and the running title in square brackets.~The heading stands for the running text in curly brackets.

% \begin{lstlisting}[style=kspnonumbers, caption={Überschriften für Inhaltsverzeichnis und Kolumnentitel (in eckigen Klammern) und für Fließtext (in geschweiften Klammern)}, label={lst:UeberschriftenZeilenumbruch}]
% \chapter[Eine kurze Überschrift]{Eine lange Überschrift im Text über mindestens zwei Zeilen}
% \end{lstlisting} 

\fbox{\parbox{0.98\textwidth}{%
\texttt{%
\textbackslash chapter[A short headline]\{A long heading in the text over \newline at least two lines\}%
}}}

If the heading is only enclosed in curly brackets with the command ``\textbackslash chapter\{\}'', the heading in the text is identical to the heading in the table of contents and in the running title.~A long heading can be broken manually in the text with the command ``\textbackslash newline'', as the following example shows.

\fbox{\parbox{0.98\textwidth}{%
\texttt{%
\textbackslash chpater[A short headline]\{A long and very detailed \textcolor{red}{\textbackslash newline} \newline heading that was broken \textcolor{red}{\textbackslash newline} using the newline command\}%
}}}

% \begin{lstlisting}[style=kspnonumbers, caption={Überschriften im Text mit dem Befehl ``newline\grqq{} manuell umbrechen.}]
% \chapter[Kurze Überschriften für das Inhaltsverzeichnis und den Kolumnentitel]{Eine lange und sehr \newline ausführliche Überschrift \newline über mehrere Zeilen, die \newline mit dem Befehl ``newline\grqq{} \newline umgebrochen wurde}
% \end{lstlisting}

\begin{figure}[h]
	% \centering
	\fbox{\includegraphics[width=0.98\textwidth]{Figures/wrap-headings-in-the-text.png}}
	\caption{Manually break headings in the text with the command ``\textbackslash newline''. The red lines in the example show the places where a manual line break was created.}
	\label{fig:ueberschrift-text-umbrechen}
\end{figure}

Please make sure that the end of a chapter does not end with a figure or a table, as even manual adjustments to the distance to a subsequent heading are difficult to make.





\section{Lists in an itemize or enumerate environment}
Lists in an itemize or enumerate environment with less than three lines are left-justified. With the command ``\textbackslash raggedright'' after the command ``\textbackslash item'' this can be done, as the following example shows.~You can see the result on page \pageref{itm:example-itemize} in this PDF file.
% in Chapter \ref{cha:Einleitung und Motivation} (``\nameref{cha:Einleitung und Motivation}'')% 

\fbox{\parbox{\textwidth}{%
\texttt{%
\textbackslash begin\{itemize\} \newline%
\textbackslash item[\$\textbackslash bullet\$] \textcolor{red}{\textbackslash raggedright} Text for lists with less than \newline three lines are left-justified.\newline%
\textbackslash end\{itemize\}% 
}}}

Lists in an itemize or enumerate environment with three or more lines are justified. With the command ``\textbackslash justifying'' after the command ``\textbackslash item'' the paragraph can be formatted as a justification. In thisway, the paragraph adapts op\-ti\-cally to the body of the text and creates a coherent type area, as the folling example shows. You can see the result %
% in Chapter \ref{cha:Einleitung und Motivation} (``\nameref{cha:Einleitung und Motivation}'')% 
on page \pageref{itm:example-itemize} in this PDF file.

\fbox{\parbox{\textwidth}{%
\texttt{%
\textbackslash begin\{itemize\} \newline%
\textbackslash item[\$\textbackslash bullet\$] \textcolor{red}{\textbackslash justifying} Text for lists with three or \newline more lines are formatted as a justification. \newline%
\textbackslash end\{itemize\}% 
}}}

Please note that even framed texts at the end of a chapter can falsify the distance to the following heading. In this case, it is best to add a paragraph to ensure the same spacing in front of headings (see target distance in chapter \ref{sec:Spacing for consecutive headlines}).





\section[Bibliography, bibliography and citation style]{Bibliography, bibliography and \newline citation style}
Please note that the bibliography and citation style in this template are unlikely to meet the requirements of your institute. Due to the variety of different styles, this \LaTeX template cannot provide a precisely defined bibliography and citation style for individual inquiries. Please use the \LaTeX packages provided by your in\-sti\-tute for the styles you are using and adapt the bibliography style ``\textbackslash bibliography\-style\{plain\-nat\}'' in the file ``Contents/Bibliography.tex'' as well as the citation style ``\textbackslash usepackage\{natbib\}'' in the file ``KSP\_Diss\_A5\_EN.tex'' according to your needs.

If you do not want to automatically output all titles from your file with the bibliographic information (e.g. ``Bibliography/Literature.bib'') in the bibliography, please remove the commands ``\textbackslash nocite\{*\}'' or ``\textbackslash nocitejournal\{*\}'' and ``\textbackslash nocite\-conference\{*\}'' from the file ``Contents/Bibliography.tex''.

The counter for the titles in the bibliography (e.g. ``Journal articles'' or ``Conference contributions'') is reset to ``[1]'' by default by the optional parameter ``resetlabels'' for the command ``\textbackslash usepackage[resetlabels]\{multibib\}'' in the file ``KSP\_Diss\_A5\_EN.tex''. If you want the titles for the bibliography to be numbered consecutively, please remove the optional parameter ``resetlabels'' in the above command.




